import qutebrowser.api.interceptor
import random


redirects = {
    "imgur.com": [
        "imgur.alt.tyil.nl",
    ],
    "youtube.com": [
        "youtube.alt.tyil.nl",
    ],
    "twitter.com": [
        "twitter.alt.tyil.nl",
    ],
    "reddit.com": [
        "reddit.alt.tyil.nl",
    ],
    "www.reddit.com": [
        "reddit.alt.tyil.nl",
    ]
}


def redirect(request: qutebrowser.api.interceptor.Request):
    source = request.request_url.host()

    if source not in redirects:
        return

    destination = random.choice(redirects[request.request_url.host()])

    print(f"Redirecting {source} to {destination}")

    request.request_url.setHost(destination)
    request.redirect(request.request_url)


qutebrowser.api.interceptor.register(redirect)
